// swift-tools-version: 6.0
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "Poor Man's Calculator",
    platforms: [
        .macOS(.v13)
    ],
    dependencies: [
        .package(url: "https://git.aparoksha.dev/aparoksha/adwaita-swift", branch: "main"),
        .package(url: "https://git.aparoksha.dev/aparoksha/localized", branch: "main")
    ],
    targets: [
        .executableTarget(
            name: "PMCalc",
            dependencies: [
                .product(name: "Adwaita", package: "adwaita-swift"),
                .product(name: "Localized", package: "localized"),
                "CMath"
            ],
            path: "Sources/PMCalc",
            resources: [
                .process("Localized.yml")
            ],
            cSettings: [
                .headerSearchPath("Sources/CMath/include")
            ],
            linkerSettings: [
                .unsafeFlags([
                    "-L./Sources/CMath/lib/",
                    "-lcmath"
                ])
            ],
            plugins: [
                .plugin(name: "GenerateLocalized", package: "localized")
            ]
        ),
        .systemLibrary(
            name: "CMath",
            path: "Sources/CMath",
            providers: []
        )
    ],
    swiftLanguageModes: [.v5]
)
